Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TexCoord3 Class Reference

三次元テクスチャ座標 More...

`#include <TexCoord3.h>`

List of all members.

## Public Member Functions
| TexCoord3 ()
| コンストラクタ
| TexCoord3 (float sourceU, float sourceV, float sourceW)
| コンストラクタ
| TexCoord3 (const float *const source)
| コンストラクタ
void | set (float sourceU, float sourceV, float sourceW)
| 値の設定
void | set (const float *const source)
| 値の設定
TexCoord3 | operator+ (const TexCoord3 &addCoord) const
| 加算
TexCoord3 | operator- (const TexCoord3 &subCoord) const
| 減算
TexCoord3 | operator * (float mulValue) const
| 乗算
TexCoord3 | operator+ () const
| +演算子
TexCoord3 | operator- () const
| -演算子
TexCoord3 & | operator+= (const TexCoord3 &addCoord)
| 代入加算
TexCoord3 & | operator-= (const TexCoord3 &subCoord)
| 代入減算
TexCoord3 & | operator *= (float mulValue)
| 代入乗算
bool | operator== (const TexCoord3 &target) const
| 三次元テクスチャ座標が同じかどうか
bool | epsilonEquals (const TexCoord3 &target, float epsilon) const
| 三次元テクスチャ座標が同じかどうか
bool | operator!= (const TexCoord3 &target) const
| 三次元テクスチャ座標が同じでないかどうか
bool | notEpsilonEquals (const TexCoord3 &target, float epsilon) const
| 三次元テクスチャ座標が同じでないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const TexCoord3 | zero
| ゼロ座標
const TexCoord3 | unit
| 単位座標
const TexCoord3 | unitU
| U単位座標.
const TexCoord3 | unitV
| V単位座標.
const TexCoord3 | unitW
| W単位座標.
## Friends
TexCoord3 | operator * (float mulValue, const TexCoord3 &mulCoord)
| 乗算

## Detailed Description

三次元テクスチャ座標

このクラスは継承しないで下さい。

Definition at line 39 of file TexCoord3.h.

## Constructor & Destructor Documentation

Lamp::TexCoord3::TexCoord3 | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 86 of file TexCoord3.h. Referenced by operator *(), operator+(), and operator-().

Lamp::TexCoord3::TexCoord3 | ( | float | sourceU,
|  | float | sourceV,
|  | float | sourceW
| ) | `[inline]`

  | コンストラクタ Parameters:
  sourceU | Uの初期値
  sourceV | Vの初期値
  sourceW | Wの初期値
Definition at line 94 of file TexCoord3.h. References u, v, and w.

Lamp::TexCoord3::TexCoord3 | ( | const float *const | source | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  source | 初期値配列
Definition at line 102 of file TexCoord3.h. References u, v, and w.

## Member Function Documentation

bool Lamp::TexCoord3::epsilonEquals | ( | const TexCoord3 & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 三次元テクスチャ座標が同じかどうか Parameters:
  target | 比較する三次元テクスチャ座標
  epsilon | 誤差
Returns: 誤差の範囲内で同じ値であればtrueを返す Definition at line 242 of file TexCoord3.h. References Assert, u, v, and w.

bool Lamp::TexCoord3::notEpsilonEquals | ( | const TexCoord3 & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 三次元テクスチャ座標が同じでないかどうか Parameters:
  target | 比較する三次元テクスチャ座標
  epsilon | 誤差
Returns: 誤差の範囲内で同じでない値であればtrueを返す Definition at line 266 of file TexCoord3.h. References Assert, u, v, and w.

TexCoord3 Lamp::TexCoord3::operator * | ( | float | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された三次元テクスチャ座標 Definition at line 157 of file TexCoord3.h. References TexCoord3(), u, v, and w.

TexCoord3& Lamp::TexCoord3::operator *= | ( | float | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された三次元テクスチャ座標 Definition at line 217 of file TexCoord3.h. References u, v, and w.

bool Lamp::TexCoord3::operator!= | ( | const TexCoord3 & | target | ) | const`[inline]`

  | 三次元テクスチャ座標が同じでないかどうか Parameters:
  target | 比較する三次元テクスチャ座標
Returns: 同じでない値であればtrueを返す Definition at line 256 of file TexCoord3.h. References u, v, and w.

TexCoord3 Lamp::TexCoord3::operator+ | ( |  | ) | const`[inline]`

| +演算子 Returns: 三次元テクスチャ座標のコピー Definition at line 177 of file TexCoord3.h.

TexCoord3 Lamp::TexCoord3::operator+ | ( | const TexCoord3 & | addCoord | ) | const`[inline]`

  | 加算 Parameters:
  addCoord | 加算する三次元テクスチャ座標
Returns: 加算された三次元テクスチャ座標 Definition at line 139 of file TexCoord3.h. References TexCoord3(), u, v, and w.

TexCoord3& Lamp::TexCoord3::operator+= | ( | const TexCoord3 & | addCoord | ) | `[inline]`

  | 代入加算 Parameters:
  addCoord | 加算する三次元テクスチャ座標
Returns: 加算された三次元テクスチャ座標 Definition at line 193 of file TexCoord3.h. References u, v, and w.

TexCoord3 Lamp::TexCoord3::operator- | ( |  | ) | const`[inline]`

| -演算子 Returns: 値の符号が反転した三次元テクスチャ座標 Definition at line 183 of file TexCoord3.h. References TexCoord3(), u, v, and w.

TexCoord3 Lamp::TexCoord3::operator- | ( | const TexCoord3 & | subCoord | ) | const`[inline]`

  | 減算 Parameters:
  subCoord | 減算する三次元テクスチャ座標
Returns: 減算された三次元テクスチャ座標 Definition at line 148 of file TexCoord3.h. References TexCoord3(), u, v, and w.

TexCoord3& Lamp::TexCoord3::operator-= | ( | const TexCoord3 & | subCoord | ) | `[inline]`

  | 代入減算 Parameters:
  subCoord | 減算する三次元テクスチャ座標
Returns: 減算された三次元テクスチャ座標 Definition at line 205 of file TexCoord3.h. References u, v, and w.

bool Lamp::TexCoord3::operator== | ( | const TexCoord3 & | target | ) | const`[inline]`

  | 三次元テクスチャ座標が同じかどうか Parameters:
  target | 比較する三次元テクスチャ座標
Returns: 同じ値であればtrueを返す Definition at line 232 of file TexCoord3.h. References u, v, and w.

void Lamp::TexCoord3::set | ( | const float *const | source | ) | `[inline]`

  | 値の設定 Parameters:
  source | 設定値配列
Definition at line 125 of file TexCoord3.h. References u, v, and w.

void Lamp::TexCoord3::set | ( | float | sourceU,
|  | float | sourceV,
|  | float | sourceW
| ) | `[inline]`

  | 値の設定 Parameters:
  sourceU | Uの設定値
  sourceV | Vの設定値
  sourceW | Wの設定値
Definition at line 115 of file TexCoord3.h. References u, v, and w.

String Lamp::TexCoord3::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 三次元テクスチャ座標の文字列表記 Definition at line 282 of file TexCoord3.h. References Lamp::String::format(), u, v, and w.

## Friends And Related Function Documentation

TexCoord3 operator * | ( | float | mulValue,
|  | const TexCoord3 & | mulCoord
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulCoord | 乗算する三次元テクスチャ座標
Returns: 乗算された三次元テクスチャ座標 Definition at line 167 of file TexCoord3.h.

The documentation for this class was generated from the following files:

- TexCoord3.h
- TexCoord3.cpp